//! Contains definitions of global variables, functions and enumerated types.
/*! \file test.h
    The HOOPS/Stream Toolkit utilizes several global enumerated types.  The functions which black box support for writing
    and reading HOOPS Stream Files are also global, and are defined in BStream.h
*/


//! Exports the HOOPS/3dGS scene-graph to a HOOPS Stream File
/*! 
    The contents of the HOOPS/3dGS scene-graph, beginning with the currently open segment, are written out to a
    HOOPS Stream File
    \param filename A character pointer denoting the name of the file to write.
    \param tk A pointer to the HStreamFileToolkit object to use as a basis for generating the file.  This would be
        passed in to write out a customized file that contains user-specified data.  Options to control how the file is
        written may be specified using the SetWriteFlags() method on the toolkit.
*/
TK_Status HBINFILETK_API HTK_Write_Stream_File (char const * filename, HStreamFileToolkit * tk);